Bug 1107338 - Bundle Files page does not display all required files due to a missing page control
Summary: Bundle Files page does not display all required files due to a missing page c...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning, UI
Version: JON 3.1.2,JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR01
: JON 3.3.0
Assignee: John Mazzitelli
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 00:05 UTC by Larry O'Leary
Modified: 2018-12-06 16:47 UTC (History)
4 users (show)

(edit)
A missing page control on the Bundle Files page prevented all files in a bundle from being displayed correctly in the UI. The fix adds the page control to the Bundle Files page, which corrects the originally-reported issue.
Clone Of:
(edit)
Last Closed: 2014-12-11 13:59:41 UTC


Attachments (Terms of Use)
bundle-files (216.45 KB, image/png)
2014-08-06 12:15 UTC, Armine Hovsepyan
no flags Details
bundle-wizard-files (174.25 KB, image/png)
2014-08-06 12:15 UTC, Armine Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 913293 None None None Never
Red Hat Bugzilla 1107336 None None None Never

Internal Trackers: 1107336

Description Larry O'Leary 2014-06-10 00:05:25 UTC
Description of problem:
If a bundle contains more than 200 files, the bundle files page only displays 200 of them.

Version-Release number of selected component (if applicable):
3.1.2

How reproducible:
Always

Steps to Reproduce:
1.  Install and start JBoss ON 3.1.2 system.
2.  Import platform resource.
3.  Create new compatible resource group called _All Platforms_:

    *   *Name*: `All Platforms`
    *   *Select Members*: _add all resources from platform category_
    
4.  Create jon-31-bundle-manyFiles bundle archive containing 300 files:

        mkdir -p jon-31-bundle-manyFiles
        pushd jon-31-bundle-manyFiles
        mkdir -p files

        cat >deploy.xml <<EOF
<?xml version="1.0"?>
<project name="manyFiles"
         default="main"
         xmlns:rhq="antlib:org.rhq.bundle">
  <target name="main" />

  <rhq:bundle name="Many Files Test Bundle"
              version="1.0"
              description="A sample bundle consisting of 300 files">
    <rhq:deployment-unit name="files"
                         manageRootDir="false">
EOF

        for file in {001..300}; do
            echo "This is File #${file}." >"files/file-${file}.txt"
            echo '      <rhq:file name="files/file-'"${file}"'.txt" destinationFile="files/file-'"${file}"'.txt" replace="true" />' >>deploy.xml
        done

        cat >>deploy.xml <<EOF
    </rhq:deployment-unit>
  </rhq:bundle>
</project>
EOF

        zip -qr ../jon-31-bundle-manyFiles.zip .
        popd

5.  From JBoss ON UI, create bundle using jon-31-bundle-manyFiles bundle archive.
6.  Navigate to the bundle's file list.

Actual results:
Total Rows is reported as 200. Additionally, note that not all the files are visible in the files table.

Expected results:
Total Rows should be 300 and all files should be visible.

Additional info:
It appears that the bundle files UI page is missing a page control.

Comment 1 Larry O'Leary 2014-06-10 01:43:26 UTC
This issue also affects JBoss ON 3.2

Comment 2 John Mazzitelli 2014-07-21 19:53:34 UTC
git commit to master: 9b6c82e

Comment 3 Simeon Pinder 2014-07-31 15:51:52 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 4 Armine Hovsepyan 2014-08-06 12:15:01 UTC
Created attachment 924460 [details]
bundle-files

Comment 5 Armine Hovsepyan 2014-08-06 12:15:26 UTC
Created attachment 924461 [details]
bundle-wizard-files

Comment 6 Armine Hovsepyan 2014-08-06 12:15:48 UTC
verified in jon 3.3 dr1
screen-shots attached


Note You need to log in before you can comment on or make changes to this bug.